Retrieve specific account event
1 min
GET
https://app.amberflo.io/account-event/{id}
Path Parameters
- idstringrequiredDescription
Responses
200
- account-eventDescription
- idstringDescription
- customerIdstringDescription
- levelstring<INFO | WARN | ERROR>Description
- domainstringDescription
- eventTypestringDescription
- eventTimestring<date-time>Description
- detailsobjectDescription
400
401
403
404
500
curl
curl --request GET \
--url https://app.amberflo.io/account-event/{id} \
--header 'accept: application/json'javascript
var myHeaders = new Headers();
myHeaders.append("accept", "application/json");
myHeaders.append("content-type", "application/json");
var requestOptions = {
method: 'GET',
headers: myHeaders,
redirect: 'follow'
};
fetch("https://app.amberflo.io/account-event/{id}", requestOptions)
.then(response => response.text())
.then(result => console.log(result))
.catch(error => console.log('error', error));ruby
require "uri"
require "json"
require "net/http"
url = URI("https://app.amberflo.io/account-event/{id}")
https = Net::HTTP.new(url.host, url.port)
https.use_ssl = true
request = Net::HTTP::Get.new(url)
request["accept"] = "application/json"
request["content-type"] = "application/json"
response = https.request(request)
puts response.read_body
python
import requests
import json
url = "https://app.amberflo.io/account-event/{id}"
payload = {}
headers = {
'accept': 'application/json',
'content-type': 'application/json'
}
response = requests.request("GET", url, headers=headers, data=payload)
print(response.text)
200
// Account event details with complete payload and processing information
{
"id": "",
"customerId": "",
"level": "",
"domain": "",
"eventType": "",
"eventTime": "",
"details": {}
}400
// Invalid event ID format or malformed request
401
// Missing or invalid API key authentication
403
// Insufficient permissions to access this resource
404
// Account event not found or expired (older than 90 days)
500
// Internal server error occurred while processing request